Kusama Substrate Sidecar Methods

📘

See the Kusama RPC API connection guide.

accounts

MethodNotesCompute Unit Value
GET /accounts/{accountId}/asset-approvalsReturns asset-approval records for an account.5
GET /accounts/{accountId}/asset-balancesReturns asset balances for an account.5
GET /accounts/{accountId}/balance-infoReturns balance information for an account.5
GET /accounts/{accountId}/staking-infoReturns staking information for an account.5
GET /accounts/{accountId}/staking-payoutsReturns staking payout information for an account.5
GET /accounts/{accountId}/validateValidates an account address for the chain.5
GET /accounts/{accountId}/vesting-infoReturns vesting information for an account.5

blocks

MethodNotesCompute Unit Value
GET /blocksReturns a range of blocks.50
GET /blocks/headReturns the most recently produced block.5
GET /blocks/head/headerReturns the header of the most recently produced block.1
GET /blocks/{blockId}Returns a block identified by its hash, height, or a supported block tag.5
GET /blocks/{blockId}/extrinsics/{extrinsicIndex}Returns an extrinsic at the specified index in a block.5
GET /blocks/{blockId}/headerReturns the header for a block.1

node

MethodNotesCompute Unit Value
GET /node/networkReturns node network information.5
GET /node/transaction-poolReturns pending extrinsics from the transaction pool.10
GET /node/versionReturns node version information.5

pallets

MethodNotesCompute Unit Value
GET /pallets/assets/{assetId}/asset-infoReturns information and metadata for an asset.5
GET /pallets/staking/progressReturns staking-progress information.10
GET /pallets/{palletId}/storageReturns the storage-item metadata for a pallet.10
GET /pallets/{palletId}/storage/{storageItemId}Returns a storage item and its value for a pallet.5

runtime

MethodNotesCompute Unit Value
GET /runtime/codeReturns the current runtime Wasm code.1
GET /runtime/metadataReturns the current runtime metadata.1
GET /runtime/specReturns the current runtime specification information.1

paras

MethodNotesCompute Unit Value
GET /parasReturns the parachains known to the relay chain.10
GET /paras/auctions/currentReturns the current parachain-auction information.10
GET /paras/crowdloansReturns the crowdloan information.10
GET /paras/leases/currentReturns the current parachain-lease information.10
GET /paras/{paraId}/crowdloan-infoReturns crowdloan information for a parachain.10
GET /paras/{paraId}/lease-infoReturns lease information for a parachain.10

transaction

MethodNotesCompute Unit Value
POST /transactionSubmits an encoded transaction to the node.50
POST /transaction/dry-runSimulates an encoded transaction without broadcasting it.5
POST /transaction/fee-estimateReturns the estimated fee for an encoded transaction.10
GET /transaction/materialReturns the material required to construct a transaction.5